Package org.picocontainer.injectors

# Class PrimitiveMemberChecker

java.lang.Object
org.picocontainer.injectors.PrimitiveMemberChecker

public class PrimitiveMemberChecker extends Object

Author:
  Michael Rimov

## Constructor Summary

Constructors
Constructor
Description
`PrimitiveMemberChecker()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`isPrimitiveArgument(AccessibleObject member, int i)`
Checks if the target argument is primative.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PrimitiveMemberChecker

public PrimitiveMemberChecker()

## Method Details

### isPrimitiveArgument

public static boolean isPrimitiveArgument(AccessibleObject member, int i) throws ArrayIndexOutOfBoundsException, UnsupportedOperationException
Checks if the target argument is primative.

Parameters:
  `member` - target member instance, may be constructor, field, or method.
  `i` - parameter index.
Returns:
  true if the target object's "i"th parameter is a primitive (ie, int, float, etc)
Throws:
  `UnsupportedOperationException` - if for some reason the member parameter is not a Constructor, Method, or Field.
  `ArrayIndexOutOfBoundsException` - if 'i' is an inappropriate index for the given parameters. For example, i should never be anything but zero for a field.